
QGIS Application - Bug report #4316

DBManager plugin installation fails

2011-09-24 11:47 PM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: GNU/Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14253

Description

Couldn't load plugin db_manager due an error when calling its initGui() method

Traceback (most recent call last):

  File "/usr/lib/python2.6/dist-packages/qgis/utils.py", line 147, in startPlugin

    plugins[packageName].initGui()

  File "/home/strk/.qgis/python/plugins/db_manager/db_manager_plugin.py", line 39, in initGui

    self.iface.addPluginToDatabaseMenu( u"DB Manager", self.action )

AttributeError: 'QgisInterface' object has no attribute 'addPluginToDatabaseMenu'

Python version:

2.6.5 (r265:79063, Apr 16 2010, 13:28:26) 

[GCC 4.4.3]

QGIS version:

1.6.0-Copiapo Copiapo, exported

Python path: ['/usr/share/qgis/python', '/home/strk/.qgis/python', '/home/strk/.qgis/python/plugins', '/usr/share/qgis/python/plugins',

'/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk', '/usr/lib/python2.6/lib-old', '/usr/lib/python2.6/lib-dynload',

'/usr/lib/python2.6/dist-packages', '/usr/lib/python2.6/dist-packages/PIL', '/usr/lib/python2.6/dist-packages/gst-0.10',

'/usr/lib/pymodules/python2.6', '/usr/lib/python2.6/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.6/gtk-2.0',

'/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode', '/usr/local/lib/python2.6/dist-packages',

'/usr/share/qgis/python/plugins/fTools/tools']

History

#1 - 2011-09-25 04:59 AM - Giuseppe Sucameli

- Resolution set to invalid

- Status changed from Open to Closed

You must use the DBmanager GH issue trac, not the QGis one as DBManager is not a core plugin.
